Skip to main content
GET
List

Authorizations

Authorization
string
header
required

Bearer API Key. For example, "Bearer {Tenant API Key}"

Headers

Authorization
string
required

Bearer API Key. For example, "Bearer {Tenant API Key}"

Query Parameters

ids
string

Filter by risk IDs. Accepts a comma-separated list.

fields
string

Select specific risk fields to include in the response. Only applies to risk properties. Accepts a comma-separated list of risk fields. Example fields: id, name, severityLevel, score

riskTypeIds
string

Filter by risk type IDs. Accepts a comma-separated list.

environmentIds
string

Filter risks on the environment. This parameter accepts any combination of environment name or environment IDs (UUIDs) in a comma-separated list.

Supported environment names:

  • production - Production environment
  • non-production - Non-production environment
Example:

"production,550e8400-e29b-41d4-a716-446655440000"

integrationIds
string

Filter by integration IDs. Accepts a comma-separated list.

primaryAssetIds
string

Filter by primary asset IDs. Accepts a comma-separated list.

severityLevels
enum<string>

Filter by severity levels. Accepts a comma-separated list.

Available options:
CRITICAL,
HIGH,
MEDIUM,
LOW
lifecycleStates
enum<string>

Filter by lifecycle states. Accepts a comma-separated list.

Available options:
DISMISSED_ACCEPTED,
DISMISSED_NOT_A_RISK,
OPEN
resourceTypes
string

Filter by resource types. Accepts a comma-separated list.

discoveredAtStart
string<date-time>

Start of the date range for filtering risks based on the discovered date. Specify the start of the range using a valid ISO 8601 date-time string. If discoveredAtStart is provided and discoveredAtEnd is omitted, results will include risks from this date to the present. Supported formats include: - yyyy-MM-ddTHH:mm:ssZ (e.g., 2025-02-18T08:00:00Z) - yyyy-MM-ddTHH:mm:ss.SSSZ (e.g., 2025-02-18T08:00:00.000Z)

discoveredAtEnd
string<date-time>

End of the date range for filtering risks based on the discovered date. Specify the end of the range using a valid ISO 8601 date-time string. If discoveredAtEnd is provided and discoveredAtStart is omitted, results will include risks up to this date. Supported formats include: - yyyy-MM-ddTHH:mm:ssZ (e.g., 2025-02-18T08:00:00Z) - yyyy-MM-ddTHH:mm:ss.SSSZ (e.g., 2025-02-18T08:00:00.000Z)

include
string

This parameter is for loading relationships in the risk response. Available options: - primaryAsset: includes the complete primary asset object for each risk - integration: includes the complete integration object for each risk

Example:

"primaryAsset,integration"

sortBy
enum<string>

Order the list by supported field. Can accept discoveredAt or score. The default is discoveredAt.

Available options:
discoveredAt,
score
Example:

"score"

sortOrder
enum<string>

The sort order of the list. Can accept asc or desc. The default is desc.

Available options:
asc,
desc
Example:

"desc"

cursor
string

Get the next batch of risks. Used for pagination.

Example:

"k3d83a9b-k3dk-5lkd-2ldk-9kd77c1beb6"

perPage
integer
default:100

Number of items per page

Required range: 1 <= x <= 100

Response

Risks list

data
object[]
meta
object